Bug 17120 - cvs commit fails on 6.2+, haven't tried on 6.1
cvs commit fails on 6.2+, haven't tried on 6.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-30 18:18 EDT by Ben LaHaise
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 15:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben LaHaise 2000-08-30 18:18:05 EDT
cvs commit fails with:
cvs commit: in directory linux/Documentation/DocBook:
cvs [commit aborted]: there is no version here; do 'cvs checkout' first

The following patch fixes it against cvs-1.10.8-8, but I don't know if it
is correct.  Sorry about the mangled spacing on the patch, but email to
kingdon is not working.

		-ben

diff -ur cvs-1.10.8/src/recurse.c cvs-1.10.8-ben/src/recurse.c
--- cvs-1.10.8/src/recurse.c    Tue Aug 17 13:16:25 1999
+++ cvs-1.10.8-ben/src/recurse.c        Wed Aug 30 17:45:33 2000
@@ -1087,14 +1087,15 @@
        if (stripped_dot)
            (void) strcpy (update_dir, ".");
 
+       /* get back to where we started and restore state vars */
+       if (restore_cwd (&cwd, NULL))
+           error_exit ();
+
        /* call-back dir leave proc (if any) */
        if (process_this_directory && frame->dirleaveproc != NULL)
            err = frame->dirleaveproc (frame->callerdat, dir, err,
update_dir,
                                       frent->entries);
 
-       /* get back to where we started and restore state vars */
-       if (restore_cwd (&cwd, NULL))
-           error_exit ();
        free_cwd (&cwd);
        dirlist = sdirlist;
        repository = srepository;
Comment 1 Ben LaHaise 2000-08-30 18:25:10 EDT
Don't apply the patch; it breaks loads of other parts of cvs.

		-ben
Comment 2 Ben LaHaise 2001-09-26 17:42:29 EDT
an update: this bug is triggered by using cvs update -r to switch between tags.
Comment 3 Eido Inoue 2004-08-03 15:17:00 EDT
Is there an update to the last patch?
Comment 4 Eido Inoue 2004-10-21 15:58:32 EDT
patch is bitrotted... cvs commits using current version seem to work

Note You need to log in before you can comment on or make changes to this bug.